package model

import (
	"time"
)

type CommunityTeamPayOrder struct {
	Id                 int       `json:"id" xorm:"not null pk autoincr INT(11)"`
	Uid                int       `json:"uid" xorm:"default 0 INT(11)"`
	StoreType          int       `json:"store_type" xorm:"default 0 comment('0官方自营店 1加盟店 2连锁店') INT(11)"`
	StoreUid           int       `json:"store_uid" xorm:"default 0 comment('门店用户id') INT(11)"`
	ParentUid          int       `json:"parent_uid" xorm:"default 0 comment('上级代理') INT(11)"`
	Commission         string    `json:"commission" xorm:"comment('分佣（元）') DECIMAL(20,2)"`
	CreateAt           time.Time `json:"create_at" xorm:"DATETIME"`
	UpdateAt           time.Time `json:"update_at" xorm:"DATETIME"`
	State              int       `json:"state" xorm:"default 0 comment('0待付款 1已支付 2已提货') INT(11)"`
	PayAt              time.Time `json:"pay_at" xorm:"comment('付款时间') DATETIME"`
	Oid                int64     `json:"oid" xorm:"default 0 comment('主单号') BIGINT(20)"`
	PayMethod          int       `json:"pay_method" xorm:"default 0 comment('1余额 2支付宝 3微信') INT(11)"`
	PayId              string    `json:"pay_id" xorm:"comment('第三方的支付id') VARCHAR(255)"`
	Amount             string    `json:"amount" xorm:"default 0.00 comment('总金额') DECIMAL(20,2)"`
	Memo               string    `json:"memo" xorm:"comment('备注') VARCHAR(255)"`
	StoreSettleAt      int       `json:"store_settle_at" xorm:"default 0 INT(11)"`
	CommissionAt       int       `json:"commission_at" xorm:"default 0 INT(11)"`
	SettleAt           int       `json:"settle_at" xorm:"default 0 INT(11)"`
	UserCommission     string    `json:"user_commission" xorm:"default 0.00 DECIMAL(20,2)"`
	AgentCommission    string    `json:"agent_commission" xorm:"default 0.00 DECIMAL(20,2)"`
	PlatformCommission string    `json:"platform_commission" xorm:"default 0.00 DECIMAL(20,2)"`
	IsNotice           int       `json:"is_notice" xorm:"not null default 0 comment('支付状态：0：未支付，1：已支付') TINYINT(2)"`
}
